StarGraphicStruct::StarPolygon Class Reference

Class to store a polygon. More...

`#include <StarGraphicStruct.hxx>`

## Classes

struct | Point
| a structure to keep a point and a flag More...

## Public Member Functions

| StarPolygon ()
| contructor
bool | hasSpecialPoints () const
| check if a polygon has special point
bool | empty () const
| returns true if the polygon is empty
size_t | size () const
| returns true if the polygon is empty
void | addToPath (librevenge::RVNGPropertyListVector &path, bool isClosed, double relUnit, STOFFVec2f const &decal) const
| add the polygon to a path
bool | convert (librevenge::RVNGString &path, librevenge::RVNGString &viewbox, double relUnit, STOFFVec2f const &decal) const
| convert a path in a string and update the bdbox

## Public Attributes

std::vector< Point > | m_points
| the list of points

## Friends

std::ostream & | operator<< (std::ostream &o, StarPolygon const &poly)
| operator<<

## Detailed Description

Class to store a polygon.

## Constructor & Destructor Documentation

## StarPolygon()

StarGraphicStruct::StarPolygon::StarPolygon | ( |  | ) |

inline

contructor

Referenced by operator<<.

## Member Function Documentation

## addToPath()

void StarGraphicStruct::StarPolygon::addToPath | ( | librevenge::RVNGPropertyListVector & | path,
|  | bool | isClosed,
|  | double | relUnit,
|  | STOFFVec2f const & | decal ) const

add the polygon to a path

Referenced by convert(), StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), and StarObjectSmallGraphicInternal::SdrGraphicEdge::send().

## convert()

bool StarGraphicStruct::StarPolygon::convert | ( | librevenge::RVNGString & | path,
|  | librevenge::RVNGString & | viewbox,
|  | double | relUnit,
|  | STOFFVec2f const & | decal ) const

convert a path in a string and update the bdbox

## empty()

bool StarGraphicStruct::StarPolygon::empty | ( |  | ) | const

inline

returns true if the polygon is empty

## hasSpecialPoints()

bool StarGraphicStruct::StarPolygon::hasSpecialPoints | ( |  | ) | const

inline

check if a polygon has special point

## size()

size_t StarGraphicStruct::StarPolygon::size | ( |  | ) | const

inline

returns true if the polygon is empty

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | StarPolygon const & | poly )

friend

operator<<

## Member Data Documentation

## m_points

std::vector<Point> StarGraphicStruct::StarPolygon::m_points

the list of points

Referenced by addToPath(), empty(), hasSpecialPoints(), operator<<, StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), size(), and StarPolygon().

The documentation for this class was generated from the following files:

- StarGraphicStruct.hxx
- StarGraphicStruct.cxx